#ifndef DRIVER_CALC_HH
#define DRIVER_CALC_HH

#include "lohi.hh"
#include "order.hh"
#include <list>
#include <string>
#include <gmpxx.h>

namespace Driver {
    Interval::Lohi calculate_by_name(
        mp_bitcnt_t *precision_ptr,
        const std::string &,
        const std::list<long> &,
        bool prefer_negative_branch,
        Interval::Order *ptr_order
    );
}

#endif

