#include "../../src/log.hh"
#include <cassert>
//#include <iostream>
//#include <iomanip>

int main()
{
    Interval::Order order {};
    { const Interval::Lohi x {Interval::calc_log(0x10, 2, 1, &order)}; assert(x.lo() >=  0xb162 && x.hi() <=  0xb183); }
    { const Interval::Lohi x {Interval::calc_log(0x10, 1, 2, &order)}; assert(x.hi() <= -0xb162 && x.lo() >= -0xb183); }
    { const Interval::Lohi x {Interval::calc_log(0x10, 3, 1, &order)}; assert(x.lo() >= 0x1191e && x.hi() <= 0x1195f); }
    { const Interval::Lohi x {Interval::calc_logtwopi(0x20,  &order)}; assert(x.lo() >= 0x1d67e'0000 && x.hi() <= 0x1d681'0000); }
    return 0;
}

