#ifndef STRINGIFIC_HH
#define STRINGIFIC_HH

#include <cstddef>
#include <string>
#include <gmpxx.h>

namespace Interval {
    constexpr size_t  no_of_leftward_groups {3}; // at least 1
    constexpr size_t no_of_rightward_groups {8}; // at least 1
    enum class Stringify_style { standard, integer };
    std::string stringify(
        mp_bitcnt_t precision, mpz_class,
        Stringify_style = Stringify_style::standard
    );
}

#endif

